TemplateServiceAsync (gCube Templates Portlet 4.8.0-SNAPSHOT API)
Date: 2015-07-03

org.gcube.portlets.user.templates.client

## Interface TemplateServiceAsync

-     public interface TemplateServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getUserAndScope(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)` each portlet instance runs in a scope each portlet instance is used by a unique username from within the portal
    `void` | `getUserTemplateNames(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)`
    `void` | `readModel(String templateName, String TemplateObjectID, boolean isImporting, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.d4sreporting.common.shared.Model> callback)`
    `void` | `readTemplateFromSession(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.d4sreporting.common.shared.Model> callback)` call for the model previously stored in the session
    `void` | `renewHTTPSession(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `saveTemplate(String basketidToSaveIn, org.gcube.portlets.d4sreporting.common.shared.Model model, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `storeTemplateInSession(org.gcube.portlets.d4sreporting.common.shared.Model model, com.google.gwt.user.client.rpc.AsyncCallback callback)`

- - ### Method Detail

    - #### saveTemplate

          void saveTemplate(String basketidToSaveIn,
                          org.gcube.portlets.d4sreporting.common.shared.Model model,
                          com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

      Parameters:
        `model` - ,
        `callback` - ,

    - #### getUserTemplateNames

          void getUserTemplateNames(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)

      Parameters:
        `callback` - .

    - #### readModel

          void readModel(String templateName,
                       String TemplateObjectID,
                       boolean isImporting,
                       com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.d4sreporting.common.shared.Model> callback)

      Parameters:
        `templateName` - .
        `callback` - .

    - #### getUserAndScope

          void getUserAndScope(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)

      each portlet instance runs in a scope each portlet instance is used by a unique username from within the portal
      Parameters:
        `callback` - .

    - #### storeTemplateInSession

          void storeTemplateInSession(org.gcube.portlets.d4sreporting.common.shared.Model model,
                                    com.google.gwt.user.client.rpc.AsyncCallback callback)

      Parameters:
        `model` - .
        `callback` - .

    - #### readTemplateFromSession

          void readTemplateFromSession(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.d4sreporting.common.shared.Model> callback)

      call for the model previously stored in the session
      Parameters:
        `callback` - .

    - #### renewHTTPSession

          void renewHTTPSession(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

Copyright © 2015. All Rights Reserved.